TAAS - Feature #138

Outstanding Reference Report
02/02/20283 03:05 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 02/23/2023
Priority: Normal Due date:

Assignee: Sreeranjini T % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 20:00 hours
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Outstanding Reference Report

Description

Coding Outstanding Reference Report

History

#1 - 02/22/2023 08:21 PM - Junaid M

- Status changed from New to Open

- Assignee changed from Junaid M to Christy Saint
- % Done changed from 0 to 10

#2 - 02/23/2023 04:36 PM - Christy Saint

- Status changed from Open to Coding Started

- Start date changed from 02/02/2023 to 02/23/2023
- % Done changed from 10 to 40

#3 - 02/27/2023 04:49 PM - Junaid M
- File SQL-OUTSTANDING-REFERENCE- Copy.SQL added
- File SQL-NEW-REF-OUTSTANDING REPORT.SQL added

#4 - 02/27/2023 04:50 PM - Junaid M
- File deleted (SQL-OUTSTANDING-REFERENCE- Copy.SQL)

#5 - 03/16/2023 10:18 AM - Christy Saint
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#6 - 05/18/2023 04:26 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Add Currrency on grid summary
2.Remove ledger currency

3.Add precision on amounts
4.Resize grid summary

#7 - 05/22/2023 01:05 PM - Christy Saint

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60
#8 - 06/01/2023 12:28 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

Modify Amount Column as
Opening Balance | Dr Outstanding | Cr Outstanding | Matched | Net Balance | Closing Balance

#9 - 07/28/2023 06:14 PM - unnikannan S
ISSUE FOUNDED

1.1.ADD DR,CR IN NET BALANCE CLOSING BALANCE AND OPENING BALANCE (-VE AMOUNT-CR,+VE AMOUNT DR)

#10 - 09/28/2023 12:54 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#11 - 10/05/2023 06:06 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.ADD HEADING IN PRINT

#12 - 10/06/2023 12:10 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#13 - 10/06/2023 05:25 PM - Seema Mathew
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from unnikannan S to Seema Mathew

ISSUE FOUNDED **

1.MISSING CLOSSING BALANCE IN PRINT.
2.ERASER NOT WORKING.

#14 - 10/10/2023 10:20 AM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#15 - 10/16/2023 12:27 PM - unnikannan S

- Tested By changed from Seema Mathew to unnikannan S

TESTING DONE

#16 - 10/26/2023 04:51 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

FIXED - 1.MISSING DOC NO FROM JOURNAL ON CURRENT DATE

FIXED - 2.NOT SHOWING OTHER MODULES REFERENCE DETAILS

FIXED - 3.SHOW CHANGE OF AMOUNT WHILE CHOOSING BASE 1,BASE 2 FILTER WISE SEARCH

FIXED - 4.SALE DATA NOT SHOWING SEPERATELY WISE DOC NO

FIXED - 5.SHOW BRANCH FIELD AS ALL IN PRINT WHILE SELECTING ALL BRANCH IN MODULE AND SEARCH
#17 - 11/01/2023 09:18 PM - Junaid M

- Assignee changed from Christy Saint to Abhiram Venu

#18 - 11/21/2023 09:53 AM - Junaid M

- Assignee changed from Abhiram Venu to Shahil Haris

#19 - 12/05/2023 04:01 PM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#20 - 01/31/2024 12:43 PM - Junaid M
- Assignee changed from Shahil Haris to Vivekp V

#21 - 02/08/2024 11:26 AM - Junaid M

- Assignee changed from Vivekp V to Baseem Shan

#22 - 02/14/2024 04:24 PM - Baseem Shan
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#23 - 02/22/2024 12:54 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#24 - 02/28/2024 12:10 PM - unnikannan S
TESTING DONE

#25 - 08/28/2024 04:56 PM - Avinash MS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

GUI Change

Service Date As on [Checkbox(Untick) + Date Picker(Disable)
Date Picker and table title -> Travel Date done before The Date
Checkbox Title -> Tick then the date mandatory(Default Load To Date)

#26 - 09/25/2024 11:40 AM - Baseem Shan
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#27 - 01/17/2025 12:43 PM - Arathy PS

- File clipboard-202501171228-gnex2.png added

- File clipboard-202501171232-xb1em.png added

- Status changed from New Changes Coding Done to Reopen Bugs
- Assignee changed from Baseem Shan to Sreeranjini T

- % Done changed from 70 to 50

ISSUE FIXED

1. Not showing when credit checkbox is ticked (documents with credit side entry--not showing payment documents).
TfaVVlse Outstanding Reference Report

VEL SOLUTION PVTLTD

Transaction Date™  17/01/2025 7/01/2025 Reference~* | RgF Branch™  jain -

Customer* - Currency  Base(QAR) v Department  Account -

Consider - Service Date As On Module -

Debit Credit Consider Matching Done After To Date
U & print

Y @ B B m

# Document No Reference Date Currency Opening Balance Dr Qutstanding Cr Outstanding Net Outstanding Closing Balance
1 INV/003 refoo1 17/01/2025 QAR 0.00 Dr 1220.00 0.00 1220.00 Dr 1220.00 Dr
2 INV/003 refo01 17/01/2025 QAR 0.00 Dr 1025.00 0.00 1025.00 Dr 1025.00 Dr
3 INV/003 refool 17/01/2025 QAR 0.00 Dr 1110.00 0.00 1110.00 Or 1110.00 Dr

Total QAR 3355.00 QAR 0.00 QAR 3355.00 Dr QAR 3355.00 Dr

2. In the print space between Total In QAR.

QOutstanding Reference Report

Transaction Date : 17/01/2025 - 17/01/2025 Reference or

Branch : Al Department : Al

Currency : BASE1 Debit/ Credit : Both Debit and Credit
Consider Matching Done After To Date

Document No Reference Date Currency Opening Dr Outstanding Cr Outstanding MNet Outstanding Closing Balance
Balance
INV/003 ref001 17/01/2025 QAR 0.00 Dr 1220.00 0.00 1220.00 Dr 1220.00 Dr
INV/003 ref001 17/01/2025 QAR 0.00 Dr 1025.00 0.00 1025.00 Dr 1025.00 Dr
INV/003 ref001 17/01/2025 QAR 0.00 Dr 1110.00 0.00 1110.00 Dr 1110.00 Dr
RF/001 refa 17/01/2025 QAR 0.00 Dr 0.00 600.00 600.00 Cr 600.00 Cr
Total In QAR 3355.00 600.00 2755.00 Dr 2755.00 Dr
Printed Date: 17/01/202512:31 PM Page: 1/1 Printed By: admin

3. Opening balance column --data showing workflow--discuss with anil
4. Add redirection to the document numbers.

New Changes

1. Remove Opening balance and closing balance.

2. Date, Doc No:, Reference should be the order of columns in the grid.

3. Add another column for narration in the grid.

4. Move consider matching done after to date below module and debit credit checkbox below service as on date then below consider add field main
Iedger brlng all mam Iedgers

not needed

7. Add titles to the blue star fields, add blue star to service as on date
#28 - 01/22/2025 06:21 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

Files

SQL-NEW-REF-OUTSTANDING REPORT.SQL 1.57 KB 02/27/2023 Junaid M

clipboard-202501171228-gnex2.png 131 KB 01/17/2025 Arathy PS

clipboard-202501171232-xb1em.png 102 KB 01/17/2025 Arathy PS
